--- src/ratpoison/contrib/allwindows.sh	2013-11-28 06:52:35.000000000 -0300
+++ ratpoison-20131128/contrib/allwindows.sh	2013-11-28 07:14:38.628328951 -0300
@@ -26,7 +26,11 @@
 $RATPOISON -c "gselect $FIRSTGROUPNUM"
 
 for i in $GROUPLIST; do
-    list=$(printf '%s%s\n%s' "$list" "$i" "$($RATPOISON -c windows|sed -e 's/^/ /')");
+	GROUPNUMBER=$( echo $i | sed "s/\([0-9]\).*/\1/")
+	GROUPNUMBER=$((GROUPNUMBER+1))
+	GROUPNAME=$( echo $i | sed "s/[0-9]\(.*\)/\1/")
+	GROUPNAME="${GROUPNUMBER}${GROUPNAME}"
+    list=$(printf '%s%s\n%s' "$list" "$GROUPNAME" "$($RATPOISON -c windows|sed -e 's/^/ /')");
     if [ "$i" != "$LASTGROUP" ]; then
         list="${list}
 "
